#
# EXAMPLE stream configuration for use with eventgate-wikimedia implementation.
#
# Each entry key here is a name of a stream (or a regex matching stream names).
# Each entry contains configuration for that stream.
# Currently, the only configuration supported is specifying
# the allowed schema title for this stream.  The EventGate
# service uses this to check if an event of a particular
# schema is allowed in the stream before the event is validated and produced.
#
# Note:  A stream is an abstraction.  When using Kafka, a stream may actually
# represent multiple Kafka topics.  WMF uses this in production
# to support datacenter prefixed topics.  Even though the topic names
# might be different, topics with the same non DC suffix belong
# to the same stream.
#
# This file should be replaced by an eventual Stream Config Service.
# See: https://phabricator.wikimedia.org/T205319
#

#
# eventgate error streams
#
/^eventgate\.error\..+/:
  schema_title: error

mediawiki.revision-create:
  schema_title: mediawiki/revision/create

eventgate-wikimedia.test.event:
  schema_title: test/event
